Create Webhook
Roles
Analytics Events
/v1/webhooksCreates a new webhook for this tenant.
Analytic events
- WEBHOOK_CREATE_START
- WEBHOOK_CREATE_SUCCESS
- WEBHOOK_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The webhook payload
This array includes the event types that will trigger this Webhook. The following events are currently supported:
- OpenIdCredentialIssued: Triggered upon completion of an OpenID4VCI issuance flow and includes credential data.
- OpenIdCredentialIssuedSummary: Triggered upon completion of an OpenID4VCI issuance flow but does not include credential data.
- OidcIssuerCredentialIssued: Triggered upon completion of an OICD Bridge issuance flow.
This is the URL that will receive the Webhook events data payload when they are triggered by MATTR VII for the specified events:
- Must be a valid URL.
- Must use the HTTPS protocol.
- Must not be an IP address.
- Must not include query parameters or have fragments.
- Non-ASCII characters are normalized.
- Must return a 2xx response, otherwise it will go through a retry cycle and eventually fail.
uriIndicates whether or not the Webhook is disabled. When set to true the webhook is disabled, and notifications for events associated with it will not be sent. If no value is provided, defaults to false.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "events": [ "OpenIdCredentialIssued" ], "url": "https://example.com" }'{
"id": "0c099611-19c4-4f29-8724-6b9e5ba1ef7c",
"events": [
"OpenIdCredentialIssued"
],
"url": "https://example.com",
"disabled": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Verify custom domain POST
Verifies that you have control of the configured custom domain by examining its TXT record. <Callout> Your custom domain will not be active until you verify it. Refer to [Verify domain ownership](https://learn.mattr.global/docs/platform-management/custom-domain-overview#verify-domain-ownership) for more information. </Callout> ### **Analytic events** * CONFIG_CUSTOM_DOMAIN_VERIFY_START * CONFIG_CUSTOM_DOMAIN_VERIFY_SUCCESS * CONFIG_CUSTOM_DOMAIN_VERIFY_FAIL
Retrieve all Webhooks GET
Retrieves a list of webhooks configured on the tenant. ### **Analytic events** * WEBHOOK_RETRIEVE_LIST_START * WEBHOOK_RETRIEVE_LIST_SUCCESS * WEBHOOK_RETRIEVE_LIST_FAIL